%% Plot slantlet basis vectors

L = 4;
U = sltmtx(L);
c = U'*U - eye(2^L);
max(max(abs(c)))   % Verify that reconstruction error is zero

figure(1)
clf
for k = 1:2^L
    subplot(4,4,k)
    s = stem(0:15,U(k,:),'fill');
    set(s(1),'markersize',2);
    axis([-1 16 -1 1])
    set(gca,'xtick',0:8:16,'ytick',-1:1:1,'fontsize',7)
end

print -dpdf slantlet_basis_vectors.pdf
