%% Run slantlet programs
% Examples.
% Ivan Selesnick

%% Run forward and inverse slantlet transform

x = randn(1,2^5);
s = slantlt(x);
y = islantlt(s);    % inverse transform
max(abs(x-y))       % reconstruction error

%% Run shift invariant (over-sampled) slantlet transform.

x = sin(sin((1:2^5)/3));
s = sislet(x);
y = isislet(s);     % inverse transform
max(abs(x-y))       % reconstruction error

%% Run two-dimensional slantlet transform

x = randn(2^5);
s = slet2(x);
y = islet2(s);          % inverse transform
max(max(abs(x-y)))      % reconstruction error

%% Make figure

plot_basis_vectors